%define name viewnior
%define version 1.3
%define release %mkrel 1

Summary:	Simple Elegant Image Viewer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://xsisqox.github.com/Viewnior/
Source:		http://cloud.github.com/downloads/xsisqox/Viewnior/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gcc-c++
BuildRequires:	GConf2-devel >= 2.22
BuildRequires:	glib2-devel >= 2.15.3
BuildRequires:	gnome-icon-theme >= 2.19.1
BuildRequires:	gtk2-devel >= 2.12
BuildRequires:	intltool
BuildRequires:	perl-XML-Parser
BuildRequires:	shared-mime-info >= 0.20
BuildRequires:	desktop-file-utils
Requires:	gnome-icon-theme >= 2.19.1
Requires:	shared-mime-info >= 0.20

%description
Viewnior is a image viewer program. Created to be simple, fast and elegant. 
It's minimalistic interface provides more screenspace for your images. 
Among its features are:

* Fullscreen & Slideshow
* Rotate, flip, save, delete images
* Animation support
* Browse only selected images
* Navigation window
* Set image as wallpaper (only under GNOME, see INSTALL file)
* Simple interface

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x

%make 

%install
%makeinstall_std
desktop-file-install --vendor="" \
     --add-category="X-MandrivaLinux-Multimedia-Graphics" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_icon_cache hicolor


%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog* COPYING README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/man/man1/viewnior.1.bz2

%changelog
* Fri Sep 28 2012 Neal <nealbrks0 at gmail dot com> 1.3-1pclos2012
- process

* Fri Sep 28 2012 Ken <lxgator at gmail.com> 1.3-1pclos2012
- 1.3

* Mon Feb 28 2011 Texstar <texstar at gmail.com> 1.1-1pclos2011
- 1.1

* Thu Apr 01 2010 slick50 <lxgator@gmail.com> 1.0-1pclos2010
- new release 1.0

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 0.7-2pclos2010
- rebuild

* Sun Sep 06 2009 slick50 <lxxgator@gmail.com> 0.7-1pclos2009
- 0.7

* Sun Aug 09 2009 slick50 <lxgator@gmail.com> 0.6-1pclos2009
- 0.6

* Fri Jun 26 2009 slick50 <lxgator@gmail.com> 0.5-1pclos2009
- initial build
